# Method lfun::_types()

Method _types

  `array _types(object|void context, int|void access)`

Description

  List types callback.

  This callback is typically called via types().

Returns

  Expected to return an array with the types corresponding to the indices returned by lfun::_indices().

Note

  It's assumed that this function is side-effect free.

Note

  types() was added in Pike 7.9.

See also

  types(), lfun::_indices(), lfun::_values(), ::_types()